from board import Board
from os import system
from dataclasses import dataclass

@dataclass
class Player:
  name: str
  color: str

class Chess:

  def __init__(self, players):
    self.players = players

  def update(self):
    system('clear')

  def loop(self):
    while True:
      self.update()


if __name__ == "__main__":

  players = (
    Player('Spiller 1', 'white'),
    Player('Spiller 2', 'black'),
  )

  # game = Chess(('Spiller 1', 'Spiller 2'))
  # game.loop()
  board = Board()
  print(board.selectPiece(players[0]))
